import { CSelectSetter } from "../_setters";
import { t } from "../../src/locale";
import snippets from "./snippets";
var getOptionByLocation = function getOptionByLocation(key) {
  var works = localStorage.getItem('connectorNetworks');
  if (works) {
    var worksObj = JSON.parse(works);
    var list = worksObj[key];
    return list.map(function (item) {
      return {
        label: item.chainName,
        value: item.chainId
      };
    });
  }
  return [];
};
export default {
  componentName: "ConnectorPro",
  label: t("connector-pro.key_JtNgfyyuO9jd"),
  group: t("connector-pro.key_FaXmmVJ2RoGb"),
  category: "Element",
  props: [{
    name: "mainNetworks",
    label: {
      label: t("connector-pro.key_cWKR0qPCEnAe"),
      tip: t("connector-pro.key_F4eSkS8Qk9WF")
    },
    setter: {
      componentName: CSelectSetter,
      props: {
        mode: "multiple",
        options: function options() {
          var res = getOptionByLocation("MainNet");
          return res;
        }
      }
    }
  }, {
    name: "testNetworks",
    label: {
      label: t("connector-pro.key_sbv1P9TgWXBi"),
      tip: t("connector-pro.key_LhtC4c0EiGkW")
    },
    setter: {
      componentName: CSelectSetter,
      props: {
        mode: "multiple",
        options: function options() {
          var res = getOptionByLocation("TestNet");
          return res;
        }
      }
    }
  }, {
    title: t("connector-pro.key_TqJoHd5qc6hE"),
    display: "block",
    type: "group",
    items: [{
      name: "notConnectedText",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1jku"),
        tip: t("connector-pro.key_zjWrlUTyz1ebd")
      },
      setter: "InputLangSetter",
      defaultValue: "Wallet",
      props: {
        showLangIcon: false
      }
    }, {
      name: "defaultButtonStyle",
      title: t("connector-pro.key_0mPATXgH5uge"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "defaultButtonStyle",
        title: {
          label: t("connector-pro.key_dU4fPp1WR9Nj"),
          tip: t("connector-pro.key_34LfAHL15LGL")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }],
      defaultValue: {
        backgroundColor: "#F5F5F5"
      }
    }, {
      name: "hoverButtonStyle",
      title: t("connector-pro.key_c7OvAOW79saY"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "hoverButtonStyle",
        title: {
          label: t("connector-pro.key_Y1U4GQjkRUdN"),
          tip: t("connector-pro.key_ycJGOGWUByTR")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }]
    }, {
      name: "clickButtonStyle",
      title: t("connector-pro.key_fskByThuqbrG"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "clickButtonStyle",
        title: {
          label: t("connector-pro.key_XIdlPO9kFjZs"),
          tip: t("connector-pro.key_QDxbuEpSP44w")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }]
    }]
  }, {
    title: t("connector-pro.key_hEzjBRxqwGPG"),
    display: "block",
    type: "group",
    items: [{
      name: "connectedDefaultStyle",
      title: t("connector-pro.key_9ysUEOqp7NkM"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "connectedDefaultStyle",
        title: {
          label: t("connector-pro.key_RHgwBuDu2598"),
          tip: t("connector-pro.key_5nhzhjpZP0kq")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }]
    }, {
      name: "connectedHoverStyle",
      title: t("connector-pro.key_C6rlMCplgpbF"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "connectedHoverStyle",
        title: {
          label: t("connector-pro.key_UdbrjsHX5NIQ"),
          tip: t("connector-pro.key_ePUohHfeC2Kl")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }]
    }, {
      name: "connectedClickStyle",
      title: t("connector-pro.key_Usg4vXUgUPgE"),
      type: "group",
      extraProps: {
        display: "entry"
      },
      items: [{
        name: "connectedClickStyle",
        title: {
          label: t("connector-pro.key_sbhSa5e2PPU7"),
          tip: t("connector-pro.key_J56xkuDlqlPq")
        },
        setter: "CStyleSetter",
        extraProps: {
          display: "block"
        }
      }]
    }, {
      name: "isShowChainicon",
      title: {
        label: t("connector-pro.key_XsPO32tzvSVH"),
        tip: t("connector-pro.key_UQhTkKPeMgKD")
      },
      propType: "bool",
      setter: "BoolSetter",
      defaultValue: true
    }, {
      name: "isShowWalleticon",
      title: {
        label: t("connector-pro.key_TRkV3354gv5F"),
        tip: t("connector-pro.key_fgQrX5xHKb6H")
      },
      propType: "bool",
      setter: "BoolSetter",
      defaultValue: true
    }, {
      name: "isShowWalletAddress",
      title: {
        label: t("connector-pro.key_TRkV3354gFEW"),
        tip: t("connector-pro.key_fgQrX5xHSDFE")
      },
      propType: "bool",
      setter: "BoolSetter",
      defaultValue: true
    }, {
      name: "isShowChainData",
      title: {
        label: t("connector-pro.key_TRkV3354faeb"),
        tip: t("connector-pro.key_fgQrX5xHKter")
      },
      propType: "bool",
      setter: "BoolSetter",
      defaultValue: true
    }, {
      name: "isShowDropDownMark",
      title: {
        label: t("connector-pro.key_TRkV3354fanr"),
        tip: t("connector-pro.key_fgQrX5xHKtef")
      },
      propType: "bool",
      setter: "BoolSetter",
      defaultValue: true
    }, {
      name: "startDisplayBit",
      title: {
        label: t("connector-pro.key_TRkV3354faea"),
        tip: t("connector-pro.key_fgQrX5xHKtec")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: 6
    }, {
      name: "endDisplayBit",
      title: {
        label: t("connector-pro.key_TRkV3354faet"),
        tip: t("connector-pro.key_fgQrX5xHKtes")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: 4
    }, {
      name: "ellipsis",
      title: {
        label: t("connector-pro.key_TRkV3354faeu"),
        tip: t("connector-pro.key_fgQrX5xHKtev")
      },
      propType: "string",
      setter: "StringSetter",
      defaultValue: "..."
    }, {
      name: "dropDownArrow",
      title: {
        label: t("connector-pro.key_TRkV3354faee"),
        tip: t("connector-pro.key_fgQrX5xHKtel")
      },
      setter: "CUploadImageDefaultSetter"
    }]
  }, {
    title: t("connector-pro.key_5zlHaBycqqkO"),
    display: "block",
    type: "group",
    items: [{
      name: "dropDownWidth",
      title: {
        label: t("connector-pro.key_E8qK9ZFhoMec"),
        tip: t("connector-pro.key_G9PHuqoCi5Ce")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: 320
    }, {
      name: "dropDownbgColor",
      title: {
        label: t("connector-pro.key_E8qK9ZFhoMwN"),
        tip: t("connector-pro.key_G9PHuqoCi5CD")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#252a35"
    }, {
      name: "dropDownHoverColor",
      title: {
        label: t("connector-pro.key_hLawBocw6Hwg"),
        tip: t("connector-pro.key_O4AX7eTdCjse")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#1C2029"
    }, {
      name: "dropDownTextColor",
      title: {
        label: t("connector-pro.key_NQh52Sb1kLoU"),
        tip: t("connector-pro.key_8kRkvlae32Iz")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#B6B8B9"
    }, {
      name: "dropDownHoverTextColor",
      title: {
        label: t("connector-pro.key_R6oHhEmaliJ7"),
        tip: t("connector-pro.key_8SvJumjYFK6r")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#B6B8B9"
    }, {
      name: "copyIcon",
      title: {
        label: t("connector-pro.key_XJjLTddYougk"),
        tip: t("connector-pro.key_K0VgzOrFfrs9")
      },
      setter: "CUploadImageDefaultSetter"
    }, {
      name: "copyBtnText",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1hgk"),
        tip: t("connector-pro.key_zjWrlUTyz1uhj")
      },
      setter: "InputLangSetter",
      defaultValue: "Copy wallet chain",
      props: {
        showLangIcon: false
      }
    }, {
      name: "disconnectIcon",
      title: {
        label: t("connector-pro.key_bvFRVEokeGlb"),
        tip: t("connector-pro.key_hx9D8Omfqpug")
      },
      setter: "CUploadImageDefaultSetter"
    }, {
      name: "disBtnText",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1hed"),
        tip: t("connector-pro.key_zjWrlUTyz1iou")
      },
      setter: "InputLangSetter",
      defaultValue: "Disconnect",
      props: {
        showLangIcon: false
      }
    }]
  }, {
    title: t("connector-pro.key_Yu76qMMpsdCZ"),
    display: "block",
    type: "group",
    items: [{
      name: "--wui-color-modal-bg",
      title: {
        label: t("connector-pro.key_0j7xOmq1OqAD"),
        tip: t("connector-pro.key_Xh4r1BN8QvzS")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#121313"
    }, {
      name: "--wui-color-fg-100",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1oll"),
        tip: t("connector-pro.key_zjWrlUTyz1ubz")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "#ffffff"
    }, {
      name: "--wui-gray-glass-002",
      title: {
        label: t("connector-pro.key_bRlvsimjpA2d"),
        tip: t("connector-pro.key_RAouAWkB9UYs")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "rgba(255, 255, 255, 0.02)"
    }, {
      name: "--wui-gray-glass-005",
      title: {
        label: t("connector-pro.key_cdcgGf716vat"),
        tip: t("connector-pro.key_DxqJykUojaPa")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "rgba(255, 255, 255, 0.05)"
    }, {
      name: "--wui-color-inherit",
      title: {
        label: t("connector-pro.key_s8jeUpxBcMAO"),
        tip: t("connector-pro.key_Xzdyj6GIDSSM")
      },
      propType: "string",
      setter: "ColorSetter",
      defaultValue: "inherit"
    }, {
      name: "--wui-border-radius-l",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1obz"),
        tip: t("connector-pro.key_zjWrlUTyz1ocz")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: "30"
    }, {
      name: "--wui-border-radius-xs",
      title: {
        label: t("connector-pro.key_zjWrlUTyz1obr"),
        tip: t("connector-pro.key_zjWrlUTyz1ocb")
      },
      propType: "string",
      setter: "NumberSetter",
      defaultValue: "12"
    }]
  }],
  configure: {
    supports: {
      events: false,
      style: true,
      "loop": false,
      "condition": false
    }
  },
  snippets: snippets
};